Subject: Re: Cygwinb19.dll
From: [email-masked] (Charles G Waldman)

27 Jun 1998 04:16:13 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked], [email-masked]

[email-masked] writes:
 > # That sounds like the perfect way of making non-DLL requiring EXEs w/
 > # Cygnus..  But, would statically linked EXEs be worth the extra size?  That's
 > # my main concern, especially since if a person is running more than 1 Cygnus
 > # compiled application at a time, you are saving on memory space and harddrive
 > # space to go with dynamic linking.
 > 
 > Agreed. What I was getting at was the situation where you want to deliver a 
 > "gnu-win32"
 > generated ''solution'' with the minimum of hassle. With the static link, you 
 > one have one
 > (veRY LARge) exe, rather than one exe and a DLL that has to go lord-knows-where 
 > - maybe
 > package creation, a la Solaris is the answer?
 > 
 > What do you think?
 > 
 > Bob Cross.

Every Windows program I have ever installed has stuck a bunch of DLL's
on the system.  They don't go "lord-knows-where", they simply have to
go somewhere in your (windows) PATH, typically \windows\system for
Win95 systems, \winnt\system or \winnt\system32 on WinNT.  Or you can
designate a directory for the Cygnus stuff and make sure your
installation causes it to be added to PATH.

In short, I think static linking would be a waste of time and disk
space.  People have been conditioned to accept DLL's being part of any 
installation.  Look how many are installed by, for instance, Office97.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".